package com.gree.mall.contest.controller.mini.user;

import com.gree.mall.contest.exception.RemoteServiceException;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.user.WorkerLogic;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Slf4j
@RestController
@Tag(name = "申请成为业务员", description = "申请成为业务员")
@RequestMapping(value = "/miniapp/worker", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class WorkerController {
    private final WorkerLogic workerLogic;

    @PostMapping("/sms/send")
    @Operation(summary = "发送验证码")
    public ResponseHelper sendSms(
            HttpServletRequest request,
            @Parameter(description = "手机号码",required = true) @RequestParam String phone,
            @Parameter(description = "滑动验证key",required = false) @RequestParam(required = false) String key,
            @Parameter(description = "滑动验证数值",required = false) @RequestParam(required = false) String vrifyCode
    ) throws Exception {
        workerLogic.sendSms(phone, key, vrifyCode, request);
        return ResponseHelper.success();
    }

    @PostMapping("/bind")
    @Operation(summary = "绑定业务员")
    public ResponseHelper<String> bind(
            HttpServletRequest request,
            @Parameter(description = "手机号码",required = true) @RequestParam String phone,
            @Parameter(description = "短信验证码",required = true) @RequestParam String code
    ) throws RemoteServiceException {

        workerLogic.bind(request, phone, code);
        return ResponseHelper.success("成功提交申请记录");
    }



}
