package com.gree.mall.contest.controller.pc.admin;

import com.gree.mall.contest.exception.RemoteServiceException;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.admin.SysConfigLogic;
import com.gree.mall.contest.plus.entity.SysConfig;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RequiredArgsConstructor
@Slf4j
@RestController
@Tag(name = "系统应用配置API", description = "系统应用配置API")
@RequestMapping(value = "/pc/sys/config", produces = "application/json; charset=utf-8")
public class SysConfigController {

    private final SysConfigLogic sysConfigLogic;

    @PostMapping("/save")
    @Operation(summary = "保存系统应用配置")
    public ResponseHelper save(
            @RequestBody(required = true)SysConfig sysConfig
    ) throws RemoteServiceException {
        sysConfigLogic.save(sysConfig);
        return ResponseHelper.success();
    }


    @PostMapping("/detail")
    @Operation(summary = "详情")
    public ResponseHelper<SysConfig> detail() throws RemoteServiceException {
        SysConfig detail = sysConfigLogic.detail();
        return ResponseHelper.success(detail);
    }





}
