package com.gree.mall.contest.enums.admin;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 交易类型
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum BalanceOrderTypeEnum implements BaseEnum {
    CHARGE("CHARGE","充值"),
    WITHDRAWAL("WITHDRAWAL","提现"),
    ORDER_OVER("ORDER_OVER","工单完工"),
    ORDER_REJECT("ORDER_REJECT","工单驳回"),
    MERCHANT_SETTLE("MERCHANT_SETTLE","商家结算"),
    HAND_FEE("HAND_FEE","手续费"),
    INFO_FEE("INFO_FEE","信息费"),
    PERK_FEE("PERK_FEE","用户提现优惠券"),
    USER_WITHDRAWAL_FEE("USER_WITHDRAWAL_FEE","用户提现"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
