package com.gree.mall.contest.logic.wxmp;

import lombok.extern.slf4j.Slf4j;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpMessageHandler;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutTextMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

@Slf4j
@Component
public class WxMpMessageLogic implements WxMpMessageHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMpXmlMessage, Map<String, Object> map, WxMpService wxMpService, WxSessionManager wxSessionManager) throws WxErrorException {

        log.info("事件处理 event={}, toUser={}, fromUser={}, time={}", wxMpXmlMessage.getEvent(), wxMpXmlMessage.getToUser(), wxMpXmlMessage.getFromUser(), wxMpXmlMessage.getCreateTime());

        WxMpXmlOutTextMessage m = WxMpXmlOutMessage.TEXT()
                .content("测试加密消息")
                .fromUser(wxMpXmlMessage.getToUser())
                .toUser(wxMpXmlMessage.getFromUser())
                .build();
        return m;
    }
}
